Mac OS X : Java for Mac OS X 10.5 Update 4

High Nessus Plugin ID 39435

Synopsis

The remote host has a version of Java that is affected by multiple vulnerabilities.

Description

The remote Mac OS X 10.5 host is running a version of Java for Mac OS X that is missing Update 4.

The remote version of this software contains several security vulnerabilities. A remote attacker could exploit these issues to bypass security restrictions, disclose sensitive information, cause a denial of service, or escalate privileges.

Solution

Upgrade to Java for Mac OS X 10.5 Update 4 (JavaVM Framework 12.3.0) or later.

See Also

http://support.apple.com/kb/HT3632

http://lists.apple.com/archives/Security-announce/2009/Jun/msg00003.html

Plugin Details

Severity: High

ID: 39435

File Name: macosx_java_10_5_update4.nasl

Version: 1.17

Type: local

Agent: macosx

Published: 2009/06/17

Updated: 2018/07/14

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

Required KB Items: Host/MacOSX/packages

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/06/15

Exploitable With

CANVAS (CANVAS)

Core Impact

Metasploit (Sun Java Calendar Deserialization Privilege Escalation)

Reference Information

CVE: CVE-2008-2086, CVE-2008-5339, CVE-2008-5340, CVE-2008-5341, CVE-2008-5342, CVE-2008-5343, CVE-2008-5344, CVE-2008-5345, CVE-2008-5346, CVE-2008-5347, CVE-2008-5348, CVE-2008-5349, CVE-2008-5350, CVE-2008-5351, CVE-2008-5352, CVE-2008-5353, CVE-2008-5354, CVE-2008-5356, CVE-2008-5357, CVE-2008-5359, CVE-2008-5360, CVE-2009-1093, CVE-2009-1094, CVE-2009-1095, CVE-2009-1096, CVE-2009-1097, CVE-2009-1098, CVE-2009-1099, CVE-2009-1100, CVE-2009-1101, CVE-2009-1103, CVE-2009-1104, CVE-2009-1106, CVE-2009-1107, CVE-2009-1719

BID: 32620, 32892, 32608, 34240, 35381

Secunia: 35118

CWE: 94